### Method

# Clutter Actor apply_relative_transform_to_point

#### Declaration [src]

    void
    clutter_actor_apply_relative_transform_to_point (
      ClutterActor* self,
      ClutterActor* ancestor,
      const graphene_point3d_t* point,
      graphene_point3d_t* vertex
    )

#### Description [src]

Transforms `point` in coordinates relative to the actor into ancestor-relative coordinates using the relevant transform stack (i.e. scale, rotation, etc).

If `ancestor` is `NULL` the ancestor will be the `ClutterStage`. In this case, the coordinates returned will be the coordinates on the stage before the projection is applied. This is different from the behaviour of clutter_actor_apply_transform_to_point().

#### Parameters

`ancestor`

  Type: `ClutterActor`

  A `ClutterActor` ancestor, or `NULL` to use the default `ClutterStage`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`point`

  Type: `graphene_point3d_t`

  A point as #graphene_point3d_t.

  The data is owned by the caller of the method.

`vertex`

  Type: `graphene_point3d_t`

  The translated #graphene_point3d_t.

  The argument will be set by the function.
  The returned data is owned by the instance.